Name:           libglademm24
Version:        2.4.2
Release:        1%{?dist}
Summary:        A C++ interface for libglade

Group:          System Environment/Libraries
License:        LGPL
URL:            http://gtkmm.sourceforge.net/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/libglademm/2.4/libglademm-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtkmm24-devel >= 2.4.0
BuildRequires:  libglade2-devel >= 2.3.6


%description
This package provides a C++ interface for libglademm. It is a
subpackage of the GTKmm project.  The interface provides a convenient
interface for C++ programmers to create Gnome GUIs with GTK+'s
flexible object-oriented framework.


%package devel
Summary:        Headers for developing programs that will use libglademm
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtkmm24-devel
Requires:       libglade2-devel


%description devel
This package contains the headers that programmers will need to
develop applications which will use libglademm, part of GTKmm, the C++
interface to the GTK+.


%prep
%setup -q -n libglademm-%{version}


%build
%configure --disable-static --enable-docs
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT docs-to-include
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
%{__mkdir} docs-to-include
%{__mv} ${RPM_BUILD_ROOT}%{_docdir}/gnomemm-2.6/libglademm-2.4/* docs-to-include/
rm -f ${RPM_BUILD_ROOT}%{_datadir}/devhelp/books/libglademm-2.4/*


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS
%{_libdir}/*.so.*


%files devel
%defattr(-, root, root, -)
%doc docs-to-include/*
%{_includedir}/libglademm-2.4
%{_libdir}/*.so
%{_libdir}/libglademm-2.4
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Jan 14 2007 Denis Leroy <denis@poolshark.org> - 2.4.2-1
- Spec file cleanup, added dist tag

* Tue May 10 2005 Denis Leroy <denis@poolshark.org> - 0:2.4.2-1
- Upgrade to 2.4.2

* Mon Jun 27 2004 Denis Leroy <denis@poolshark.org> - 0:2.4.1-0.fdr.1
- Upgrade to 2.4.1
- Moved docs to regular directory, disabled devhelp

* Thu Sep 25 2003 Eric Bourque <ericb@computer.org>
- Initial build.
